# MatDAADSetCtx

Sets the user context for a DAAD (ADIC matrix-free) matrix.

### Synopsis

    #include "petscda.h"
    #include "petscsnes.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatDAADSetCtx(Mat A,void *ctx)

Collective on Mat

### Input Parameters

| mat | - the matrix
| ctx | - the context

### See Also

MatCreate(), DASetLocalAdicMFFunction(), MatCreateDAAD(), MatDAADSetDA()

Level:intermediate
Location: src/mat/impls/adic/matadic.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex26.c.html